Retrieve economic observations with vintages for look-ahead-safe research.
/api/v2/data/economics/series/{key}/observationsVintages are preserved when supplied by the governing dataset.
data:economics:readThe playground uses deterministic isolated sandbox fixtures. It never queries production workspace data and does not require you to paste an API secret into the browser.
Sign in to run{
"data": [
{
"observation_date": "2026-06-30",
"vintage_date": "2026-07-31",
"value": 0.6999999999999999555910790149937383830547332763671875
}
]
}curl -X GET \ https://equitygpt.app/api/v2/data/economics/series/SANDBOX_GDP_GROWTH/observations?limit=100 \ -H "Authorization: Bearer $FINANCEGPT_API_KEY" \ -H "Content-Type: application/json"
import os, requests
url = "https://equitygpt.app/api/v2/data/economics/series/SANDBOX_GDP_GROWTH/observations?limit=100"
headers = {"Authorization": f"Bearer {os.environ['FINANCEGPT_API_KEY']}"}
response = requests.request("GET", url, headers=headers)
response.raise_for_status()
print(response.json())const response = await fetch('https://equitygpt.app/api/v2/data/economics/series/SANDBOX_GDP_GROWTH/observations?limit=100', {
method: 'GET',
headers: { Authorization: `Bearer ${process.env.FINANCEGPT_API_KEY}`, 'Content-Type': 'application/json' }
});
if (!response.ok) throw new Error(`FinanceGPT ${response.status}`);
console.log(await response.json());<?php
$ch = curl_init('https://equitygpt.app/api/v2/data/economics/series/SANDBOX_GDP_GROWTH/observations?limit=100');
curl_setopt_array($ch, [CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => ['Authorization: Bearer '.getenv('FINANCEGPT_API_KEY'), 'Content-Type: application/json']]);
$response = curl_exec($ch);
if (curl_getinfo($ch, CURLINFO_HTTP_CODE) >= 400) throw new RuntimeException($response);
echo $response;Explorer gives immediate isolated sandbox access. Production plans require a commercial entitlement.
Create account